#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2.2
visibility:           public
id:                   tree-diff-0.2.2-H2mbf7jXfEkBiDya01hefk
key:                  tree-diff-0.2.2-H2mbf7jXfEkBiDya01hefk
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  5b3e75ba050f8027a54388e13e10aff0
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.2.2-H2mbf7jXfEkBiDya01hefk
depends:
    QuickCheck-2.14.2-CWXi9Q1t8724ceglmst3lc
    aeson-2.1.0.0-4XirMn5QqAHAmKKHmKcjY6
    ansi-terminal-0.11.3-DPig6ZRtI9RCB3cEnEW0u0
    ansi-wl-pprint-0.6.9-7HvZETNxhyN1qyIEzzca6y base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu bytestring-0.10.12.1
    containers-0.6.4.1 deepseq-1.4.5.0
    hashable-1.4.1.0-1IYtrJkqGO3FBsSvXBzaLr parsec-3.1.14.0
    parsers-0.12.11-H6lfxVGOZ4jHELtMvsAySR pretty-1.1.3.6
    primitive-0.7.4.0-2OuFaRkvEEgL5WlaZvmY1E
    scientific-0.3.7.0-1bojvUfWs0v5i1oF3nGLCf
    semialign-1.2.0.1-IAPo3I5wXB92JWTnthLR7S
    strict-0.4.0.1-AL7qfw5vsvq55GftbXyQ5J
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    these-1.1.1.1-D7dSmWvq7ioDHFdIa9JUVw time-1.9.3
    unordered-containers-0.2.19.1-FjtN46r9B8VFoR43GpqwkA
    uuid-types-1.0.5-I6PYvjVmjeX3XRSEGjVP5n
    vector-0.13.0.0-GsrNLADOwIh8THk5NHujPC

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

